Introducing Music Label 2003

Introducing Music Label 2004

Music Label 2004 always keeps your music collection close at hand. Whether you are a collector of pop music, classical music or a DJ with all kinds of music, you will always know where your music is located at all times. Traditional media such as CDs and Vinyl albums as well as new digital media such as MP3 is easily catalogued.

Fast and easy data entry

Getting all data about your CDs into the database is totally hassle free. Just start our FastScan function and place your CDs in the CD/DVD-drive one after another. Music Label will automatically download all data about the CD from the Internet and insert it into your database. You don't even need to push a button between the CDs...

Easy and advanced search and sort

You will always find what you are looking for in your collection no matter if you are experienced with computers or not. Music Label contains both a simple search and a more advanced search for a more accurate search result. Sorting is also easy; just click the column header and your collection will be sorted by that particular field.

Reports and statistics

Every view in the program has its own variety of reports that you can print (or export to HTML). You can even print covers for your homemade CDs. Statistics are easily accessed and view both graphically and by raw numbers.

Take care of all aspects of your collection

Music Label will not only organize all your data. It also keeps track of your insurance and loans so that you will never again lose a CD. You can even make notes of CDs to purchase in the future and when they will be released.

Manage multiple collections

If you have multiple collections in your household, Music Label enables you to keep a separate database for each collection.

Code|Aero and Music Label are trademarks of Code|Aero Technologies.
CDDB is a registered trademark of Gracenote, Inc. CDDB-Enabled, CDDB2 and the CDDB Logo are trademarks of Gracenote, Inc. Disc Recognition Service and DRS are service marks of Gracenote, Inc.


What's New

New look
The new Navigation Pane provides easy-to-use navigation to all parts of Music Label 2004. The Music-page holds all information about your music, data files and artists. The Playlists-page is where you create and maintain your playlists. When you want to create a new person (to loan items to) or want to reutrn items from a person, the Loan Manager is the destination. The Wanted Items section keeps track of all the items you plan to buy and the Statistics section is where you head when you want some statistics.

Integrated Artist Database
Music Label 2004 features a new integrated Artist Database where you can collect information about your favourite artists and groups. This will enable you to get artist reports with bio and discography.

Vinyl Query
You can now search an online database (Amazon) to retrieve basic information about your vinyl records (or CDs) by simply typing artist and/or title.

User Defined Views
It is now possible to create your own Views with fields, filter and sorting. This means you can create an unlimited number of Views for any purpose. Example: Create a view called "Favourites from '95" that shows just that.

New Statistics
The Statistics has pretty much looked the same since 1997, so we decided to change this. You can now choose different types of statistics and how to view them.

Fully Customizable Menu and Toolbar
In Music Label 2004, you can customize the menu and toolbar to look the way you want them to. You can drag and drop items between the menu and toolbar and even within the menu.


Getting started with Music Label 2002

Getting started with Music Label 2004

The first thing you need to do with Music Label is to add your music to the database. There are three ways of doing this:

  • If you have an Internet connection you can download all data about your CDs from the internet. You can do this by using the FastScan function (used when scanning multiple CDs) or by creating a new Entry and clicking the CDDB-scan button. The first time you use this functionality you need to register with CDDB (Internet CD Database) to get a username and password.
  • You can also add entries by typing only Artist and/or Title into the Vinyl Query function. The advantage is that you do not have to have the CD to query Amazon for information this way. The amount of data returned is limited though.
  • You can also add your CDs/vinyls manually by clicking the New Entry button in the View Manager. The Entry Editor will appear and you need to fill out at least artist, title, media and a catalog number in order to save the Entry.

When you have added a couple of CDs you can try clicking the column headers in the View to sort by the different fields. Clicking another time on the same header will reverse the sort (descending).

When you are comfortable with the sorting you should try your first search. To bring up the Find Bar you need to click the Find-button in the toolbar. Type 'the' into the Look For field, followed by a click on Find Now. All entries with 'the' somewhere in the data will now show in the View. To show all entries click the Show All button. You can also try more advanced searches by choosing Advanced Search from the Tools-menu (Find sub-menu).

You can add your MP3 collection by switching to the MP3 Audio View and selecting Find MP3 from the Action menu.

* Entry: One word for all types of media (CD, vinyl, MiniDisc, etc).


Shareware Information

This software is distributed as shareware. This means you can try this software to find out whether it provides what you need before you pay for it. There are no limits nor is it crippled in any way. It is true "try before you buy" software.

You may have obtained this software from a shareware disk vendor, a shareware site or a friend. I hope you also feel free to share copies of it with your friends and upload it to your favorite shareware sites. If you find you like this software and you've been using it for more than 14 days, you must register as a user by purchasing a registered copy. This software may not be used for more than 14days without registering.

Registration Information

This is a copyrighted software program protected by U.S., European and international copyright law. If you use this software for more than 14 days you must purchase a registered copy in order to continue use it. The registration for a single copy is US $39.95 (network edition is 49.95). Please note that even though you may have purchased this disk from a retail store or via mail order, you have not purchased a registered copy. What you've paid for this disk was a fee that compensates the vendor for their costs, time and effort in making this disk available.

More information about ordering Music Label 2004:

http://www.codeaero.com/order.htm

When you register you will receive

  • The current version of this software. We are constantly making improvements and adding features suggested by users. We do not duplicate your disk until just before we ship the registered version of your software, thus you get the very latest version.
  • Free upgrades within major version (10.x)
  • Free unlimited technical support via e-mail, fax or mail.
  • A free subscription to our newsletter.
  • Buy future Code|Aero products to a lower price.

Distribution of the Shareware version of this software

Please feel free to give away copies of the shareware version of this software to friends, relatives, aquaintances or even strangers.

You may NOT sell copies of this software, even if the purchase price is just to cover duplication costs.

User License Agreement

NOTICE! - This manual and the enclosed software are provided to you on the express condition that you agree to this software license. By using this software you agree to the following provisions.

<1> This manual, the enclosed software and the disk on which it is contained are licensed to you, for your own use only. This is copyrighted software. You are not obtaining title to the software or any copyrights. You may not sublicense, rent, lease, modify, translate, convert to another programming language, decompile, or disassemble the software for any purpose.

<2> You may make as many copies of this software as you need for backup purposes and copies may be given away provided no fee is charged. Private individuals may use this software on more than one computer, provided there is no chance it will be used simultaneously on more than one computer. This software may not be used on more than on computer, nor installed on more than one hard disk, nor installed on a network when used by a business, corporation, government agency or department, or institution of any kind. If you need to install this software on more than one computer or on a network, please contact us for information about a site license. More information about this can also be found in the help-file.

WARRANTY - CODE|AERO DISCLAIMS ALL WARRANTIES RELATING TO THIS SOFTWARE, WHETHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO ANY IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE, AND ALL SUCH WARRANTIES ARE EXPRESSLY AND SPECIFICALLY DISCLAIMED. NEITHER CODE|AERO NOT ANYONE ELSE WHO HAS BEEN INVOLVED IN THE CREATION, PRODUCTION OR DELIVERY OF THIS SOFTWARE SHALL BE LIABLE FOR ANY INDIRECT, CONSEQUENTIAL, OR INCIDENTAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE SUCH SOFTWARE EVEN IF CODE|AERO HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES OR CLAIMS. IN NO EVENT SHALL CODE|AERO'S LIABILITY FOR ANY DAMAGES EVER EXCEED THE PRICE PAID FOR THE LICENSE TO USE THIS SOFTWARE, REGARDLESS OF THE FORM OF THE CLAIM. THE PERSON USING THIS SOFTWARE BEARS ALL THE RISK AS TO THE QUALITY AND PERFORMANCE OF THE SOFTWARE.

Information in this manual is subject to change without notice and does not represent a commitment on the part of Code|Aero. This manual and accompanying software is copyrighted and protected under both Federal Law and the Berne Convention (international law).

Music Label is a trademark of Code|Aero Technologies.

The Music Label Team
Code|Aero Technologies
Homepage: www.codeaero.com
E-mail: support@codeaero.com


CDDB Information

Music Label uses the CDDB2 Disc Recognition Service (DRS) from Gracenote, Inc. to get the artist, title, track, credit, and other information about the CDs you play. This service is FREE and automatic. The first time you use the service, you must register with CDDB.

Register with CDDB

You will be prompted to register with CDDB on your first use. Follow the screens for a "New Registration" to select a nickname and password. The remaining information is optional, but does help CDDB provide better service. Once you register, you do not have to re-register, unless you want to change your registration information or settings. Until you register you wont be able to use the CDDB services.

Retrieving data from CDDB

Music Label will download information from CDDB when you use the FastScan function or choose to query CDDB in the Entry Editor.

Submit data to CDDB

To submit or update a CD to the CDDB insert the desired CD and choose 'Submit to CDDB' from the Tools menu.

Proprietary Legends

CD and music-related data from Gracenote CDDB® Music Recognition ServiceSM © 2000, 2001, 2002 Gracenote. Gracenote CDDB Client Software © 2000, 2001, 2002 Gracenote. U.S. Patents Numbers #5,987,525; #6,061,680; #6,154,773, and other patents issued or pending.

CDDB is a registered trademark of Gracenote. The Gracenote logo and logotype, the Gracenote CDDB logo and logotype, and the "Powered by Gracenote CDDB" logo are trademarks of Gracenote. Music Recognition Service and MRS are service marks of Gracenote.


What is View Manager?

What does the Music Section do?

The Music section (previously known as the View Manager) is the central point of Music Label. This is where you view your music collection, add new CDs to it and occasionally loan a CD to a friend. The Music section is viewed through the following standard Views (as well as Views created by you):

  • Entry shows all media in a traditional way.
  • Entry (Detailed) shows the same information as Entry but in a more detailed way.
  • Tracks shows all tracks of all media in your collection.
  • MP3 Audio lists all MP3 files on you computer (in the directories specified by you).

Adding, editing and removing Entries

Adding a new entry to your database is easily done by clicking the New-button. The Entry Editor will then appear (the MP3 Editor will appear if you are located in the MP3 View) and enable you to fill out information about that particular CD (or whatever media it is). If your computer is connected to the internet you can click the CDDB button in the Entry Editor toolbar to automatically download the information about the current CD. Note that the CD need to be in the CD/DVD drive of the computer in order for the CDDB query to work. If you intend to add a large number of CDs the FastScan- or Vinyl Query function is more suitable.

To edit an entry, click the Open button (our double-click on the Entry) in the View Manager and the Entry Editor will show you the information about the selected Entry. You can edit any information but no information will be applied to the database before you choose to save.

Marking an Entry and click the Delete button to remove the selected entry from the database.

Working with the Views

As your collection grows the Views display more and more information and it becomes harder and harder to get an overview. To help you navigate through your collection, Music Label contains different filters and search options, as well as various ways of sorting. You can also create your own Views (to limit the number of entries shown) by choosing Define Views from the Tools-menu.

Tracks Bar

A bar showing all tracks of the selected Entry can be displayed (only shown when an Entry view is selected). Tracks width credits shows a '+' sign before the name and can be expanded to show the credits. Double-click a track to show the Track Editor. The Tracks Bar also shows information about the current artist (if you have saved any).


Searching and Sorting

Searching

There are several different ways of searching (or filtering) your Views to make the information more accessible. The easiest way of searching is by using the Find Bar. To display the Find Bar you need to click the Find-button in the toolbar. When you search using the Find Bar, several fields are searched for the criteria you enter. To choose what fields to search; right-click the Find Bar and choose Customize. If you want more control and need to do a more precise search; choose Advanced Find from the Tools-menu. It enables you to specify what fields to search and how to search them.

The QuickFilter will filter the list by the letter you click. Only artists/titles (depending on what you choose) beginning with the chosen letter will be shown.

The treeview will give you even more control and will only show the entries that match the fields of the treeview that you have chosen.

Check the Find sub-menu of the Tools-menu to find more search alternatives.

To show all items of a View (after performing searches and such); click the Show All button.

Sorting

You can easily sort by clicking the headers of the various columns in the Views. If you click the Artist column, the View will be sorted by Artist. If you wish to reverse the sort (descending) click one more time at the same heading.

If you want to have more control of the sorting, click the Sort button and you can specify what fields to sort by in three levels.

* Note that persons will be sorted by last name.


Reports and Printing

Music Label features a variety of reports for each View and by opening a single entry and clicking the Print button; a CD cover can be printed as well as a detailed CD report.

Since each View has its own set of reports you need to switch Data Source to switch between them. E.g. choosing Tracks as data source will give you a selection of track reports to choose from.

The reports will be sorted the way the underlying View is (with an exception for some reports that need a special sort in order to display correctly). The report will also have the same filter / search result as the underlying View.

Exporting to HTML, TXT or Excel

The report preview window features a save option that enables you to export your reports to HTML for easy publication on the web, textfiles or Excel. Note that you can export your Views directly to HTML (or TXT, Excel) by choosing Export Data from the Action Menu.


CDDB FastScan

CDDB FastScan enables you to scan a large number of CDs as fast as possible. FastScan will scan the inserted CD, download the information and eject the CD so that you can insert the next CD. When you close the CD tray, the next CD will be scanned and so on. There are two different types of FastScan:

  • Default Query downloads the information about the CDs directly upon insert. The previously scanned CDs will show in the history window and if there is multiple matches for a CD; a list of possible matches will be displayed.
  • Batch Query will scan all CDs and not download the information until you exit FastScan. This option is a little faster and optimizes your online time. This method is recommended if you are connected to the Internet with a modem. A batch log will be placed in the program directory called "FastScan Log.txt".

FastScan enables you to customize default fields before you scan CDs (and even between them). All you need to do is to fill out the fields in the dialog before you insert the CD to scan.

Scanning multi-disc sets

A multi-disc set in Music Label is a number of CDs containing the same Catalog Number. So, in order to scan multiple-disc sets you need to specify the same catalog number for all the CDs. You also need to give all of the their own number in set value (1/3, 2/3 etc).

Knowing what CDs were (batch) scanned

As previously mentioned a textfile log is created with info about the last FastScan. You can also choose "Find All->Items from last FastScan" from the Actions-menu (it will filter out all entries/tracks added to the database since the last FastScan).


Vinyl Query
The Vinyl Query function let you enter the name of an artist and/or a title of an album. When the Query-button is clicked; a list of matches will be shown. You can then select an item in the list and click the Save-button to add the item as an Entry in your database.


CDDB FastScan

Multiple Selections and Group Editing

Multiple Selections enables you to perform different operations to more than one entry/track at once. You can easily select multiple items by using standard Windows commands such as CTRL- and SHIFT- click. You can also select the current row by pressing SPACE. When multiple items are selected you can delete, group edit or create playlists as well as other tasks.

How to Group Edit

To perform a group edit, you need to select more than one entry/track in the View Manager. Then select Group Edit from the menu and the Group Edit dialog will appear. You can now choose what field to change (in all the selected entries/tracks) and what to change it into.


Using the Entry Editor

The Entry Editor contains all the information about an Entry. In order to save an Entry you need to fill out at least the Artist-, Title- and Media fields.

The Artist can be one of three different types; you can choose which one by clicking the Artist button (located before the Artist-field):

  • Group when the artist is group of persons (a band). This option will sort the entry by the group name in the various Views. Names beginning with 'The' will be sorted by their actual name (excluding 'The').
  • Person when the artist is a single person. This option will sort the entry by the person's last name in the various Views.
  • Various Artists/Composers when there are multiple artists (compilation album). This will enable the Artist-field when editing tracks.

Here are some hints when using the Entry Editor:

  • If you add a multiple-disc set all the CDs of the set need to have the same catalog number.
  • Segments can span over several tracks and identify e.g. movements in classical music.
  • You can retrieve the tracks from a MP3 CD by choosing Read MP3 CD from the Action menu.
  • A cover picture can be added on the Details-page.
  • You can associate any number of documents, media files, or other files with each track by using the Associated Media Files list.

Adding tracks, segments, credits etc

You can add tracks, segments and credits by clicking the New button next to their respective list.


Using the Entry Editor

Downloading Cover Art

You can store cover art with each entry in Music Label. The easiest way is to automatically download cover art by selecting an Entry in the View Manager and choosing Download Cover Art from the Action menu. If a cover isn't found or the online database is offline; a message will be displayed in the status bar.

Manually Adding Cover Art

You can browse to a stored file on your harddrive to add it or you can paste it into the Entry Editor from the clipboard. The later enables you to copy an image from e.g. Internet Explorer and paste it into a View or the Entry Editor (CTRL+I) and it will automatically be saved on your harddrive (filename = catalog_number.jpg). This method makes the adding of cover art much easier and faster.

Cover Art Backup

The picture files are not stored in the database (only a link to them) to make the database faster. Therefor the images are not included in the backups and a manual backup of those has to be performed.


Customizing the Views

Customizing the Standard Views

You can choose which fields to display in the Views and in which order. You can also define how wide each column should be.

To order the columns simply drag'n'drop the header into the desired position or choose Customize Current View from the Tools menu. Customize Current View also enables you to choose which fields to display in the current view. Resizing the columns is done by dragging the edge of the column headers into the desired size.

Customizing the Detailed View

When customizing the Detailed View, you can choose if you want to display one or two columns. Displaying one column shows less rows at a time, but more info about each row. You can also choose whether you like to display the artist- or title field first.

Customizing the Treeview

You can customize the Treeview for each View by choosing Customize Treeview from the Tools menu.


What is the Playlist Manager?

What does the Playlists Section do?

The Playlists section let you create- and organize your playlists. The playlists can consist of tracks from CDs as well as MP3 files. Playlists containing MP3 files can be played in your favourite MP3 player and exported to standard formats (M3U and PLS).

When creating a playlist you can either add tracks manually or import them from your Music Label database.


Exporting to M3U or PLS

You can easily export any of your Music Label playlists for use in your favorite MP3 player. All you need to do is to select the playlist in the Playlist Manager and choose Export Playlist from the Actions menu. You can export to M3U or PLS format.


What is Loan Manager?

The Loan Manager lets you create a database of friends that borrow CDs or other media from you. The Loan Manager works like the View Manager; you add items by clicking the New button. So in order to add a new person you need to click the New button and fill out at least the name and phone number of your friend. If you fill out the e-mail address too, you will be able to send e-mail reminders to over due loans.

Selecting a person in the View Manager enables you to edit his/her information or return any CDs or other media currently on loan by that person. You can also click the Send-button to send an email reminder to that person.


What is Want List?

What does the Wanted Items Section do?

Keeping track of all wanted future releases and collectible items is a pain. The Wanted Items section should make this a little easier though. It enables you to keep this information at one place with the most basic information about the items.


What is Statistics Manager?

What does the Statistics Section do?

The Statistics Manager displays your collection statistics in both graphical and raw data form.


Adding and removing databases

Music Label lets you keep any number of databases. E.g. you can divide your and your families collections into separate databases for easier maintenance and keeping the database smaller.

To add, remove or open a database you need to choose Database Operations from the File menu. Database Operations contains a New button for adding a new database and a remove button to remove the currently selected database. To switch database in use by Music Label, choose the database from the list and click Open

As soon as you have more than one database a database selector will be available in the toolbar. It is the fastest way to switch between your different databases.


Copying Entries between databases

You can easily copy entries between databases (or within the same database) by marking the entries you wish to copy. Finally choose Copy from the Edit-menu and a dialog will appear where you can choose the destination database.


Network Access

Network Access (Available in Network Edition only)

You can place your database on a remote server and access it using a thin client only (meaning the database engine does not need to be installed on the client). To access a database on a database server simply choose Database Operations from the File-menu and click the Network-button. A dialog will show where you can type the path to the database (dont forget to include the filename).


Known Problems and Solutions

For a list of currently known problems and solutions please visit our Support-page on the Internet:

http://www.codeaero.com/help.htm


Contact Support

When you contact our support, please include as much information as possible about your computer (Windows version, virus-scanner, CD/DVD-drive names etc). Also include the version number of Music Label (can be found on the About-page chosen from the Music Label Help menu).

Music Label Support Page: www.codeaero.com/help.htm

Music Label E-mail Support: support@codeaero.com


What is DJ Booking?

This part of the program is intended for DJs only. It is used to plan and keep track of all bookings (gigs) scheduled by a DJ.

To add a new booking click the New button and fill out the information to keep track of. To rapidly go to a date; use the calendar on the right-hand side.